var isSVGZoomAction = false;
$(function() { //9949
	var offsetFT = $('body').height();
	$('svg').each(function(d, i) {
		var svg = $(this);
        var viewBox = svg.prop('viewBox').baseVal; //case sensitive fix
        var parent_width = svg.parent().width();
		var parent_height = viewBox.height;// parent_width / viewBox.width * viewBox.height;
		var div_fix_height = Math.round((parent_height - svg.height()) / 2) ;
		svg.width(parent_width);
		svg.height(parent_height);
		svg.wrap('<div style="text-align:center; "></div>');
		$('#box-frame-footer').before('<div style="width:100%; height:' + div_fix_height +'px"></div>');
		$(svg).css("visibility", "visible");
	}).promise().done( function(){ 
		offsetFT = $('body').height() - offsetFT;
		$('#box-frame-footer').css('margin-top', (offsetFT + 25) + 'px').show();
	});
});
